Loading...
Searching...
No Matches
Opm::ForchheimerIntensiveQuantities< TypeTag > Class Template Reference

Provides the intensive quantities for the Forchheimer module. More...

`#include <forchheimerfluxmodule.hh>`

## Public Member Functions

const Evaluation & | ergunCoefficient () const
| Returns the Ergun coefficient.
const Evaluation & | mobilityPassabilityRatio (unsigned phaseIdx) const
| Returns the passability of a phase.

## Protected Member Functions

void | update_ (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)

## Detailed Description

template<class TypeTag>
class Opm::ForchheimerIntensiveQuantities< TypeTag >

Provides the intensive quantities for the Forchheimer module.

## Member Function Documentation

## ergunCoefficient()

template<class TypeTag>

const Evaluation & Opm::ForchheimerIntensiveQuantities< TypeTag >::ergunCoefficient | ( |  | ) | const

inline

Returns the Ergun coefficient.

The Ergun coefficient is a measure how much the velocity is reduced by turbolence. A value of 0 means that it is not influenced.

The documentation for this class was generated from the following file:

- opm/models/common/forchheimerfluxmodule.hh